/*!
 * 
 *         ============= BUILD INFO =============
 *         MFE: Phoenix-cart
 *         chunkName: component-clientlibs/deviceSelector/deviceSelector.v1/deviceSelector
 *         VERSION: rc-phoenix-cart-1.1.33742.2536090492-10659e75-2-g7369794
 *         BRANCH: HEAD
 *         COMMITHASH: 736979456df871472d293bac2fb5e3a3c629d032
 *         LASTCOMMITDATETIME: 2026-05-19T16:55:04+00:00
 *         ============= If you're reading this, why not come work with us? https://www.t-mobile.com/careers =============
 */.device-selector__intent-button,.device-selector__selector{width:100%}.device-selector__image{height:var(--phx--spacer-5);width:var(--phx--spacer-5)}.device-selector__selector.device-selector--disabled{background-color:var(--tdds-color-brand-grayscale-300)!important;color:var(--tdds-color-brand-grayscale-600)!important;cursor:not-allowed!important;opacity:.6!important;pointer-events:none!important}.device-selector__intent-button.device-selector--disabled{background:var(--tdds-color-brand-grayscale-200);box-shadow:none;color:var(--tdds-color-brand-grayscale-500);cursor:not-allowed;pointer-events:none}.device-selector__intent-button.device-selector--disabled svg path{fill:var(--tdds-color-brand-grayscale-500)}